Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 19 Apr 2021 08:00:21 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I have ordered since 11 Apr, it is mentioned on the app 1-2 business days. I have called several times to follow up. Because I also need the items for my nephew, his parents were upset to know that the item didn’t reach us on Friday. Until now I am not getting a proper answer on where my order is. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2422344